Uses of Interface
com.atlassian.servicedesk.api.requesttype.RequestType
Packages that use RequestType
Package
Description
-
Uses of RequestType in com.atlassian.servicedesk.api.field
Methods in com.atlassian.servicedesk.api.field that return RequestTypeModifier and TypeMethodDescriptionRequestTypeField.requestType()The parentRequestTypeof this field -
Uses of RequestType in com.atlassian.servicedesk.api.request
Methods in com.atlassian.servicedesk.api.request that return RequestTypeModifier and TypeMethodDescriptionCustomerRequestCreateParameters.requestType()RequestTypeof the requestCustomerRequestUpdateParameters.requestType()The newRequestTypeto be updated into theCustomerRequestMethods in com.atlassian.servicedesk.api.request with parameters of type RequestTypeModifier and TypeMethodDescriptionCustomerRequestCreateParameters.Builder.requestType(RequestType requestType) Set the request typeCustomerRequestUpdateParameters.Builder.requestType(RequestType requestType) -
Uses of RequestType in com.atlassian.servicedesk.api.request.type
Methods in com.atlassian.servicedesk.api.request.type that return RequestTypeModifier and TypeMethodDescriptionCustomerRequestTypeQuery.requestType()Use thisRequestTypeto retrieve a specificCustomerRequestType.Methods in com.atlassian.servicedesk.api.request.type with parameters of type RequestTypeModifier and TypeMethodDescriptionCustomerRequestTypeQuery.Builder.requestType(RequestType requestType) Use thisRequestType's to retrieve a specificCustomerRequestType -
Uses of RequestType in com.atlassian.servicedesk.api.requesttype
Methods in com.atlassian.servicedesk.api.requesttype that return RequestTypeModifier and TypeMethodDescriptionRequestTypeService.createRequestType(com.atlassian.jira.user.ApplicationUser user, RequestTypeCreateParameters requestTypeCreateParameters) Create a newRequestTypeusing the providedRequestTypeCreateParameters.RequestTypeService.deleteRequestType(com.atlassian.jira.user.ApplicationUser user, RequestTypeDeleteParameters requestTypeDeleteParameters) Delete aRequestTypewith using the providedRequestTypeDeleteParameters.RequestTypeService.updateRequestType(com.atlassian.jira.user.ApplicationUser user, RequestTypeUpdateParameters requestTypeUpdateParameters) Update aRequestTypewith using the providedRequestTypeUpdateParameters.Methods in com.atlassian.servicedesk.api.requesttype that return types with arguments of type RequestTypeModifier and TypeMethodDescriptionRequestTypeService.getRequestTypes(com.atlassian.jira.user.ApplicationUser user, RequestTypeQuery requestTypeQuery) Retrieve a list ofRequestTypethat satisfy the query parameters.